Subject: Re: Building tvix on openSUSE: missing README in tvix/vendor/tower-otel-http-metrics-0.11.0/src/../

From: sterni <[email-masked]>
Date: Tue, 5 Aug 2025 20:10:29 +0200

On 3/22/25 09:40, Johannes Kastl wrote:
> Is this a known issue? Am I missing some flags for "cargo build"?

I'm not sure whether this is caused by a packaging bug in
tower-otel-http-metrics or an issue with (I assume) cargo vendor. Our 
packaging is based on crate2nix which doesn't use cargo vendor. Maybe 
the problem is that README.md isn't listed in include = [ … ] in the 
upstream Cargo.toml.

Current versions of Tvix no longer depend on tower-otel-http-metrics 
since we've removed some components which are being worked on as part of 
snix (https://snix.dev/) going forward. So you may have less trouble 
building Tvix from current canon.